Member Nodes - MNDeployment #3525

USGS Topo Maps
2013-01-30 16:57 - John Cobb

Status: Closed
Priority: Normal
Assignee: Mike Frame
Category:

Target version:

Latitude:

Longitude:

MN Description:

Base URL:

Nodeldentifier:

MN Tier:

Software stack:

Start date:
Due date:
% Done:

Estimated time:

MN_Date_Online:

Name:
Logo URL:

Date Upcoming:

Date Deprecated:

Information URL.:

Version:

100%
0.00 hour

Description

Collection of USGS Topomaps, Quadrangle maps could be a useful and low hanging fruit target for a new MN.
Initiated by comment and conversation by Mike Frame at the Santa Fe Reverse Site visit prep. meeting

History

#1 - 2013-01-30 16:59 - John Cobb
Uses FGDC

#2 - 2013-01-30 17:13 - Mike Frame

- Subject changed from USGS Topo to USGS Topo Maps

- Due date set to 2013-07-31

- Target version set to Deploy by end of Y4Q4

- Start date set to 2013-01-30

The best known USGS maps are the 1:24,000-scale topographic maps, also known as 7.5-minute quadrangles. More than 55,000 7.5-minute maps
were made to cover the 48 conterminous States. This is the only uniform map series that covers the entire area of the United States in considerable

detail.

#3 - 2013-01-30 17:30 - John Cobb

Some descriptive items in e-mail from Mike Frame to John Cobb on 20130130

The best known USGS maps are the 1:24,000-scale topographic maps, also known as 7.5-minute quadrangles. More than 55,000 7.5-minute maps
were made to cover the 48 conterminous States. This is the only uniform map series that covers the entire area of the United States in considerable

detail.

#4 - 2013-01-30 19:05 - Mike Frame

Response from those in CSAS Working with our USGS National Geospatial Program People about some options:::

Cool. We should explore this, but do so in concert with Paul Wiese (now acting in Hope's old job) and Rob Dollison (National Map delivery guy). If
we're going to do some type of official sharing with another outlet, they should be in the loop.

Technically, an API-level connection is quite doable. The new harvesting method is still dragging along with testing in beta, but we have a good
portion of the current US Topo collection in production today. Here's the parent collection item:

https://www.sciencebase.gov/catalog/item/4f554236e4b018de15819¢c85

Looking at that in the Ul, you'll see the map load up that shows you the overall spatial distribution of these products. You can view the entire set from
that parent collection here (48,577 individual maps):

https://www.sciencebase.gov/catalog/items?parentld=4f554236e4b018de15819c85

At the REST API level, this can be seen here (different formats with "format" parameter but also with ACCEPT header):

JSON - https://www.sciencebase.gov/catalog/items?parentld=4f554236e4b018de15819c85&format=json
ATOM (OpenSearch) - https://www.sciencebase.gov/catalog/items?parentld=4{554236e4b018de15819c85&format=atom

An app can manipulate what it gets from the JSON output with the fields parameter - more stuff here http://goo.gl/Di6H6. We need to provide a simple
layout of all "fields" parameter, but it basically corresponds to what you see as top-level objects and arrays in the JSON behind a given item like the
following (e.g., "spatial" returns the item footprint information - points in this case):

https://www.sciencebase.gov/catalog/item/4{85cc66e4b01c0325950366 ?format=json
The weblinks collection contains links to the following for these products now:
e Link to FGDC XML full metadata

¢ Link to downloadable GeoPDF
e Link to a thumbnail image

The fact that this and other collections exist in the ScienceBase model means that those collections also become "interactable" items that can be
accessed via WMS, WFS, and KML (see RESTful URLs):

Once we finalize the new harvesting process, the ScienceBase repository itself will have the full FGDC XML metadata that's the base documentation
for individual maps along with the thumbnail image. The GeoPDFs are going to live on Amazon S3. They are still missing some key information
needed in the original metadata like map dates needed for the types of faceting they want to do in the search, and that's what we're working through
now.

| need to learn more about the system metadata/science metadata distinction in DataONE. From what | remember reading and hearing, the system
metadata is basically the stuff about the record from the DataONE perspective (created, updated, provenance (into DataONE), etc.). In the scenario
you outline, the USGS Member Node becomes a second order aggregation point for these records with ScienceBase being the first order aggregation
point. So, it's essentially a copy of a copy of the original resource. NGP is using ScienceBase as its aggregation point for the 30 individual catalogs
that will ultimately be harvested in order to use the above services along with the overall API interface to drive discovery and access applications.
What we provide out from there to other discovery points is what we need to talk with Paul and Rob about. s it really useful to provide out the
individual topo map records for discovery through the DataONE Member Node, or would it be most useful to provide a record for the entire collection
(of current US Topo maps right now) that users could interact with using map services and other end points?
https://www.sciencebase.gov/catalog/item/4f554236e4b018de15819c85
https://www.sciencebase.gov/catalog/items?parentId=4f554236e4b018de15819c85
https://www.sciencebase.gov/catalog/items?parentId=4f554236e4b018de15819c85&format=json
https://www.sciencebase.gov/catalog/items?parentId=4f554236e4b018de15819c85&format=atom
http://goo.gl/Di6H6
https://www.sciencebase.gov/catalog/item/4f85cc66e4b01c0325950366?format=json
https://www.sciencebase.gov/catalogMaps/mapping/ows/4f554236e4b018de15819c85?service=wms&request=getcapabilities&version=1.3.0
https://www.sciencebase.gov/catalogMaps/mapping/ows/4f554236e4b018de15819c85?service=wfs&request=getcapabilities&version=1.0.0
https://www.sciencebase.gov/catalogMaps/mapping/ows/4f554236e4b018de15819c85?mode=download&request=kml&service=wms&layers=children

#5 - 2013-02-12 20:35 - Dave Vieglais

Rough estimate of size of content from Mike:

"they are around 15-20MB each and right now there are about 55,000 supposedly. So, if my math is right at is about 1.05 Terabytes."

#6 - 2013-06-03 23:28 - Laura Moyers

Mike Frame said in an email on 6/3/13:

| have been talking with this separate group in USGS and it looks like it will probably be Fall timeframe. They are in the process of implementing DOls
for all of these 60K or so TOPO maps and want to finish that process/updates first.

(LM)

#7 - 2013-06-05 19:37 - Laura Moyers
- Due date changed from 2013-07-31 to 2014-01-31
- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

Moved Target from Y4Q4 to Y5Q2 based on conversation with Mike Frame 6/3/13.

#8 - 2013-08-01 23:36 - John Cobb

followup from conversation with Mike Frame and John Cobb from July Meeting in Knoxville:

Once DOl's created, most likely, Topo map content will be published as a supplement to existing USGS CSAS node. So this ticket may need to be
closed/merged with already operational CSAC node (Ticket # 3552)

#9 - 2013-09-06 16:17 - Laura Moyers

Asked Mike Frame about progress with DOls, etc., and he said:

"l can say though that the group has to make them available for our USGS Science Data Catalog by November 1. So, they should be more easily
consumable then by DataONE shortly after that date. Some of the DataONE MN requirements (i..e System Metadata) will take some additional time,
but hopefully by the end of December we can also make these available either via the Clearinghouse MN or a ScienceBase MN."

So, Y5Q2 is still feasible.

#10 - 2013-09-27 14:48 - Bruce Wilson

- Status changed from New to Closed

As this data will be made available through either the existing CSAS MN (#3552) or the planned USGS ScienceBase MN (#4002).
#11 - 2013-10-01 17:26 - Bruce Wilson

- Target version deleted (Deploy by end of Y5Q2)

- Due date deleted (2014-01-31)
- Start date deleted (2013-01-30)
https://redmine.dataone.org/issues/3552
https://redmine.dataone.org/issues/4002
http://www.tcpdf.org

